mzcbor2mzml(1)

Name
mzcbor2mzml - Convert files in mzCBOR format to files in a mzML standard

SYNOPSIS
        mzcbor2mzml -i <input_file> -o <output_file>

        mzcbor2mzml -o <output_file> - (to read data from stdin)

DESCRIPTION

The mzcbor2mzml command line interface program performs the conversion of files from the CBOR-based format (mzCBOR) format that replicates the structure of the mzML-formatted file to the mzML standard.

The Concise Binary Object Representation (CBOR) is a binary data format designed by the Internet Engineering Task Force (IETF, RFC 8949). Its aim is to increase processing and transfer speeds, albeit at the cost of human data readability.

The use of this format as a replacement for mzML is intended not only to save storage space but also because of speed benefits during parsing and processing.

    1.  Input

                •   A mass spectrometry data file in the mzCBOR format

                •   Or a directory containing mzCBOR files : all file names ending with *.mzcbor will be converted and written to the output directory

    2.  Output

                •   A mass spectrometry data file in the mzML format

                •   If the input is a directory, then the path provided should be also a directory to store each converted mzCBOR files in mzML

OPTIONS

-h [ --help ] Print the help message.

-v [ --version ] Print the version of the sotfware.

MAN PAGE PRODUCTION

This man page was written by Filippo Rusconi <<lopippo@debian.org>> for the Debian package.

Author
Filippo Rusconi <lopippo.debian.org>

Copyright
Olivier Langella & Filippo Rusconi